﻿using System.Text;
using com.upay.utils;
using com.upay.upayException;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace com.upay.Declaration
{
    public class BillingOrderBack : ResponseObject
    {
        public BillingOrderBack()
        {
            
        }

        public BillingOrderBack(string responsestr)
            : base(responsestr)
        {
            BillingOrderBack back = JsonConvert.DeserializeObject<BillingOrderBack>(responsestr);

         

            MerchantId = back.MerchantId;
            RequestId = back.RequestId;
            SerialNumber = back.SerialNumber;
            SubMerchantId = back.SubMerchantId;
            Status = back.Status;
            SerialNumber = back.MerchantId;
            ErrorMessage = back.ErrorMessage;
            Hmac = back.Hmac;
        }

        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        [JsonProperty(PropertyName = "serialNumber")]
        public string SerialNumber { get; set; }

        [JsonProperty(PropertyName = "subMerchantId")]
        public string SubMerchantId { get; set; }

        [JsonProperty(PropertyName = "errorMessage")]
        public string ErrorMessage { get; set; }

     
    }
}
