﻿
using System.Collections.Generic;
using System.Text;
using com.upay.utils;
using com.upay.Entity;
using Newtonsoft.Json;

namespace com.upay.Declaration
{
    public class SubMerchantDeclare : RequestObject
    {
      


        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        [JsonProperty(PropertyName = "operationType")]
        public string OperationType { get; set; }

        [JsonProperty(PropertyName = "subMerchantId")]
        public string SubMerchantId { get; set; }

        [JsonProperty(PropertyName = "signedName")]
        public string SignedName { get; set; }

        [JsonProperty(PropertyName = "email")]
        public string Email { get; set; }

        [JsonProperty(PropertyName = "phone")]
        public string Phone { get; set; }

        [JsonProperty(PropertyName = "businessScope")]
        public string BusinessScope { get; set; }

        [JsonProperty(PropertyName = "authUserId")]
        public string AuthUserId { get; set; }

        [JsonProperty(PropertyName = "authEnterpriseId")]
        public string AuthEnterpriseId { get; set; }

        [JsonProperty(PropertyName = "hasAgreeProtocol")]
        public string HasAgreeProtocol { get; set; }

        [JsonProperty(PropertyName = "declarationSubMerchantCertificate")]
        public DeclarationSubMerchantCertificate DeclarationSubMerchantCertificate { get; set; }

        [JsonProperty(PropertyName = "declarationSubMerchantRiskDocs")]
        public List<DeclarationSubMerchantRiskDocs> DeclarationSubMerchantRiskDocs { get; set; }

     

        [JsonProperty(PropertyName = "hmac")]
        public string hmac { get; set; }

        }


    }

