﻿using System.Text;
using com.upay.utils;
using com.upay.upayException;
using Newtonsoft.Json;
using Newtonsoft.Json.Linq;

namespace com.upay.Declaration
{
    public class SubMerchantDeclareBacks : ResponseObject
    {
        public SubMerchantDeclareBacks()
        {
        }

        public SubMerchantDeclareBacks(string responsestr)
        {
            SubMerchantDeclareBacks back = JsonConvert.DeserializeObject<SubMerchantDeclareBacks>(responsestr);
          
            Hmac = back.Hmac;
            MerchantId = back.MerchantId;
            SubMerchantId = back.SubMerchantId;
            RequestId = back.RequestId;
            Status = back.Status; 
        }

        /// <summary>
        /// 商户Id
        /// </summary>
        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        /// <summary>
        /// 二级商户编号
        /// </summary>
        [JsonProperty(PropertyName = "subMerchantId")]
        public string SubMerchantId { get; set; }

        /// <summary>
        /// 订单号
        /// </summary>
        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }


        
    }
}
