﻿using System.Text;
using com.upay.utils;
using Newtonsoft.Json;

namespace com.upay.Declaration
{
    public class SettlementOrder : RequestObject
    {
      

        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        [JsonProperty(PropertyName = "requestId")]
        public string RequestId { get; set; }

        [JsonProperty(PropertyName = "subMerchantId")]
        public string SubMerchantId { get; set; }

        [JsonProperty(PropertyName = "settleMode")]
        public string SettleMode { get; set; }

        [JsonProperty(PropertyName = "cycleType")]
        public string CycleType { get; set; }

        [JsonProperty(PropertyName = "cycleData")]
        public string CycleData { get; set; }

        [JsonProperty(PropertyName = "minAmount")]
        public string MinAmount { get; set; }

        [JsonProperty(PropertyName = "recName")]
        public string RecName { get; set; }

        [JsonProperty(PropertyName = "recBankAccountNo")]
        public string RecBankAccountNo { get; set; }

        [JsonProperty(PropertyName = "recIdCardNum")]
        public string RecIdCardNum { get; set; }

        [JsonProperty(PropertyName = "recBankPhoneNum")]
        public string RecBankPhoneNum { get; set; }

        [JsonProperty(PropertyName = "recBankCode")]
        public string RecBankCode { get; set; }

        [JsonProperty(PropertyName = "recBranchBankName")]
        public string RecBranchBankName { get; set; }

        [JsonProperty(PropertyName = "recProvinceCode")]
        public string RecProvinceCode { get; set; }

        [JsonProperty(PropertyName = "recCityCode")]
        public string RecCityCode { get; set; }

        [JsonProperty(PropertyName = "recAccountType")]
        public string RecAccountType { get; set; }

        /// <summary>
        /// 签名
        /// </summary>
        [JsonProperty(PropertyName = "hmac")]
        public string Hmac { get; set; }
     
    }
}
