﻿using System.Text;
using com.upay.utils;
using Newtonsoft.Json;

namespace com.upay.Declaration
{
    public class SettlementRuleQuery : RequestObject
    {
        

        /// <summary>
        /// 商家ID
        /// </summary>
        [JsonProperty(PropertyName = "merchantId")]
        public string MerchantId { get; set; }

        /// <summary>
        /// 二级商户号
        /// </summary>
        [JsonProperty(PropertyName = "subMerchantId")]
        public string SubMerchantId { get; set; }

        /// <summary>
        /// 签名
        /// </summary>
        [JsonProperty(PropertyName = "hmac")]
        public string hmac { get; set; }
        
        
    }
}
